Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 926262

Summary: ocp: Does not support aarch64 in f19 and rawhide
Product: [Fedora] Fedora Reporter: Dennis Gilmore <dennis>
Component: ocpAssignee: Charles R. Anderson <cra>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: cra, pbrobinson
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-16 12:47:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 922257    

Description Dennis Gilmore 2013-03-23 15:38:15 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  ocp appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/ocp/ocp-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Charles R. Anderson 2013-03-29 06:18:23 UTC
Date: Mon, 25 Mar 2013 15:36:38 -0700
From: Brendan Conoboy <blc>
To: devel.org
Subject: Re: config.guess/config.sub for aarch64 (was Re: Mass Rebuild for Fedora 19)
Reply-To: Development discussions related to Fedora <devel.org>

On 03/25/2013 02:16 PM, Ralf Corsepius wrote:
> On 03/25/2013 10:04 PM, Peter Robinson wrote: 
> >> 2.69 added it, 
> > No - autoconf does not distribute config.guess/config.sub to packages.
> > It's automake.

Autoconf 2.69 is the first version of autoconf that included aarch64
in its config.guess and config.sub, but you are right: It is automake
that provides these files.  Specifically, automake 1.11.4 is the first
version of automake to provide a config.guess and config.sub pair that
includes aarch64 recognition.  This is a mistake on my part- I was
under the impression autoconf provided them.  The bug report's
suggestion of running autoreconf will still have the desired effect,
but the 'autoconf' suggestion was off.  Sorry about that.

Comment 2 Charles R. Anderson 2013-08-08 15:19:40 UTC
Rawhide build.log contains this.  Is it still desired to update upstream's copy of config.guess/config.sub?

++ find . -name config.guess -o -name config.sub
+ for i in '$(find . -name config.guess -o -name config.sub)'
++ basename ./config.sub
+ '[' -f /usr/lib/rpm/redhat/config.sub ']'
+ /usr/bin/rm -f ./config.sub
++ basename ./config.sub
+ /usr/bin/cp -fv /usr/lib/rpm/redhat/config.sub ./config.sub
'/usr/lib/rpm/redhat/config.sub' -> './config.sub'
+ for i in '$(find . -name config.guess -o -name config.sub)'
++ basename ./config.guess
+ '[' -f /usr/lib/rpm/redhat/config.guess ']'
+ /usr/bin/rm -f ./config.guess
++ basename ./config.guess
+ /usr/bin/cp -fv /usr/lib/rpm/redhat/config.guess ./config.guess
'/usr/lib/rpm/redhat/config.guess' -> './config.guess'

Comment 3 Charles R. Anderson 2013-08-08 15:25:39 UTC
(In reply to Charles R. Anderson from comment #2)
> Rawhide build.log contains this.  Is it still desired to update upstream's
> copy of config.guess/config.sub?

As does Fedora 19. (Fedora 18 does not.)